Summary:   Lxb: X/Motif interactive graphical user interface builder
Name:      lxb
Version:   0.5
Release:   3
Copyright: GPL
Group:     Development/Building
Source0:   http://www.tc.umn.edu/nlhome/g257/parki005/lxb/%{name}-%{version}.tar.gz
Source1:   lxb.wmconfig
URL:       http://www.umn.edu/nlhome/g257/parki005/lxb/lxb.html
Requires:  lesstif >= 0.83
BuildRoot: /tmp/%{name}-%{version}-root
%description
lxb is an X/Motif interactive graphical user interface builder. With it you
can build GUI made up of Motif widgets instantiated by clicking on icons,
move and resize them with the mouse, and edit their resources. Once the GUI
is built, pressing a button will produce the required C source and header
files to build the GUI, and an X resource file and Makefile.

%package examples 
Summary: Lxb examples
Group:   X11/Utilities
%description examples
Source code Lxb examples:
 - menubar
    source: /usr/X11R6/share/lxb-examples/menubar,
 - pallet  
    source: /usr/X11R6/share/lxb-examples/pallet

%prep
%setup -q

%build
(cd src; make depend; make INCLUDES="-I../include -I/usr/X11R6/include" \
	CDEBUGFLAGS=$RPM_OPT_FLAGS)

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/X11R6/{bin,share/lxb-examples/{menubar,pallet},lib/X11/app-defaults}}

install -s src/lxb $RPM_BUILD_ROOT/usr/X11R6/bin

install src/Lxb $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/

install examples/menubar/* $RPM_BUILD_ROOT/usr/X11R6/share/lxb-examples/menubar
install examples/pallet/* $RPM_BUILD_ROOT/usr/X11R6/share/lxb-examples/pallet

install $RPM_SOURCE_DIR/lxb.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/lxb

%files
%defattr(644, root, root, 755)
%doc ANNOUNCE CHANGES *.txt
/etc/X11/wmconfig/lxb
%attr(755, root, root) /usr/X11R6/bin/*
/usr/X11R6/lib/X11/app-defaults/*

%files examples
%defattr(644, root, root, 755)
%dir /usr/X11R6/share/lxb-examples
%dir /usr/X11R6/share/lxb-examples/*
/usr/X11R6/share/lxb-examples/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 20 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.4.6-1]
- %%{version} macro instead %%{PACKAGE_VERSION},
- added -q %setup parameter,
- added using %defattr macros in %files (require on rebuild rpm >= 2.4.99
  but recomended rpm >= 2.5),
- recompiled agains lesstif 0.83,
- changed Group to Development/Building,
- removed COPING (copyright statment is in Copyright field),
- changess in lxb wmconfig registration file,
- removed Packager field (if you want recompile this package an redistribute
  them please put this field in you private ~/.rpmrc).

* Sun Nov 30 1997 Tomasz Koczko <kloczek@idk.com.pl>
  [0.5-2]
- added wmconfig.

* Sun Nov 30 1997 Tomasz Koczko <kloczek@idk.com.pl>
  [0.5-1]
- first release in rpm package.